Skip to main content
GET
/
webhooks
/
active
Python
import os
from datagrid_ai import Datagrid

client = Datagrid(
    api_key=os.environ.get("DATAGRID_API_KEY"),  # This is the default and can be omitted
)
response = client.webhooks.list_active_for_event(
    event_type="knowledge.processing.completed",
)
print(response.data)
{
  "object": "list",
  "data": [
    {
      "object": "webhook",
      "id": "<string>",
      "url": "<string>",
      "events": [
        "knowledge.processing.completed"
      ],
      "enabled": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.datagrid.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

event_type
enum<string>
required

The event type to filter by, for example knowledge.processing.completed or batch_prediction.completed.

Available options:
knowledge.processing.completed,
batch_prediction.completed,
batch_prediction.failed,
batch_prediction.expired,
batch_prediction.cancelled

Response

List of active webhooks for event

object
enum<string>
required
Available options:
list
data
object[]
required

An array containing active webhook subscriptions for the requested event.